## $Id: browser.py 10287 2013-06-09 05:27:51Z henrik $
##
## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""UI components for basic applicants and related components.
"""
import grok
from waeup.kofa.applicants.browser import ApplicantRegistrationPage
from kofacustom.nigeria.applicants.browser import NigeriaApplicantEditFormPage


class CustomApplicantRegistrationPage(ApplicantRegistrationPage):
    """Captcha'd registration page for applicants.
    """

    #def _redirect(self, email, password, applicant_id):
    #    # Forward email and credentials to landing page.
    #    self.redirect(self.url(self.context, 'registration_complete',
    #        data = dict(email=email, password=password,
    #        applicant_id=applicant_id)))
    #    return

class CustomApplicantEditFormPage(NigeriaApplicantEditFormPage):
    """A full edit view for applicant data.
    """
    grok.template('applicanteditpage')
